declare const reducers: import("redux").Reducer<import("redux").CombinedState<{
    file: import("redux").CombinedState<{
        conditions: {
            loading: boolean;
            pageInfo: import("../../../../../typings").PaginationInfo;
            list: import("../../../../../typings").ConditionEntity[];
            drawerVisible: boolean;
            drawerType: string;
            condition: import("../../../../../typings").ConditionEntity;
            editCondition: Partial<import("../../../../../typings").ConditionEntity>;
        };
        functions: {
            pageInfo: import("../../../../../typings").PaginationInfo;
            loading: boolean;
            list: import("../../../../../typings").FuncEntity[];
            drawerType: string;
            drawerVisible: boolean;
            editFunc: Partial<import("../../../../../typings").FuncEntity>;
        };
        pages: import("redux").CombinedState<{
            list: {
                pageInfo: import("../../../../../typings").PaginationInfo;
                list: import("../../../../../typings").File[];
                loading: boolean;
            };
            content: {
                pageInfo: import("../../../../../typings").PaginationInfo;
                list: import("../../../../../typings").ContentEntity[];
                loading: boolean;
            };
        }>;
        templates: import("redux").CombinedState<{
            list: {
                pageInfo: import("../../../../../typings").PaginationInfo;
                list: import("../../../../../typings").File[];
                loading: boolean;
            };
            content: {
                pageInfo: import("../../../../../typings").PaginationInfo;
                list: import("../../../../../typings").ContentEntity[];
                loading: boolean;
            };
        }>;
        variables: {
            loading: boolean;
            pageInfo: import("../../../../../typings").PaginationInfo;
            list: import("../../../../../typings").VariableEntity[];
            editVariable: import("../../../../../typings").VariableEntity;
            drawerType: string;
            drawerVisible: boolean;
        };
    }>;
    packages: import("redux").CombinedState<{
        detail: {
            fileDetail: import("../../../../../typings").File;
            cloudSyncDrawer: {
                open: boolean;
                loading: boolean;
                componentRemote: import("../../../../../typings").ComponentRemote;
                lastVersion: import("../../../../../typings").ComponentEditVersionEntity;
            };
            compInfoLoading: boolean;
            componentInfo: import("../../../../../typings").ComponentInfoEntity;
            versionList: {
                applicationId: string;
                fileId: string;
                loading: boolean;
                versions: import("../../../../../typings").ComponentVersionEntity[];
                pageInfo: import("../../../../../typings").PaginationInfo;
            };
            versionDrawer: import("../../../../../typings").CommonDrawerEntity;
        };
        list: {
            loading: boolean;
            pageInfo: import("../../../../../typings").PaginationInfo;
            componentList: import("../../../../../typings").ComponentEntity[];
            applicationId: string;
            selectPackage: import("../../../../../typings").PackageType;
            componentDrawer: import("../../../../../typings").CommonDrawerEntity;
        };
        fast: {
            loading: boolean;
            saving: boolean;
            checkedList: string[];
            groupId: string;
            searchName: string;
            pageInfo: import("../../../../../typings").PaginationInfo;
            packages: import("../../../../../typings").RemoteComponentItem[];
            changes: Record<string, Record<string, string>>;
            savedResources: import("../../../../../typings").RemoteResourceSavedData;
        };
    }>;
    projects: import("redux").CombinedState<{
        content: {
            loading: boolean;
            saveLoading: boolean;
            editorDrawerOpen: boolean;
            fileDetail: import("../../../../../typings").File;
            contents: import("../../../../../typings").ContentEntity[];
            editContent: Partial<import("../../../../../typings").ContentEntity>;
            extendRecord: Record<string, string[]>;
            locales: string[];
            baseContents: import("./projects/content").BaseContent[];
            authListDrawerVisible: boolean;
            authListLoading: boolean;
            folder: import("../../../../../typings").ProjectEntity;
            authList: import("../../../../../typings").AuthorizeListItem[];
            userList: import("../../../../../typings").User[];
        };
        file: {
            loading: boolean;
            saveLoading: boolean;
            drawerOpen: boolean;
            fileList: import("../../../../../typings").File[];
            pageInfo: import("../../../../../typings").PaginationInfo;
            editFile: import("../../../../../typings").File;
            folder: import("../../../../../typings").ProjectEntity;
            authListDrawerVisible: boolean;
            authListLoading: boolean;
            authList: import("../../../../../typings").AuthorizeListItem[];
            userList: import("../../../../../typings").User[];
        };
        folder: {
            apps: import("../../../../../typings").Application[];
            projectList: import("../../../../../typings").ProjectEntity[];
            pageInfo: import("../../../../../typings").PaginationInfo;
            loading: boolean;
            drawerOpen: boolean;
            editProject: import("../../../../../typings").ProjectEntity;
            saveLoading: boolean;
            authListDrawerVisible: boolean;
            authListLoading: boolean;
            authList: import("../../../../../typings").AuthorizeListItem[];
            userList: import("../../../../../typings").User[];
        };
    }>;
    resources: import("redux").CombinedState<{
        groups: {
            loading: boolean;
            groupList: import("../../../../../typings").ApplicationResourceGroupEntity[];
            drawerOpen: boolean;
            editGroup: import("../../../../../typings").ApplicationResourceGroupEntity;
            resourceUrl: string;
        };
        detail: {
            applicationId: string;
            folderPath: string;
            groupInfo: import("../../../../../typings").ApplicationResourceGroupDetailEntity;
            resLoading: boolean;
            resourceRootInfo: any;
            resourceList: any[];
            selectedRowKeys: string[];
            folderDrawer: import("../../../../../typings").CommonDrawerEntity;
            fileDrawer: import("../../../../../typings").CommonDrawerEntity;
        };
    }>;
    settings: import("redux").CombinedState<{
        app: {
            application: import("../../../../../typings").Application;
            applicationId: string;
            loading: boolean;
            locales: string[];
        };
        builder: import("redux").CombinedState<{
            components: {
                saving: boolean;
                loading: boolean;
                components: import("../../../../../typings").ApplicationSettingBuilderComponent[];
                pageInfo: import("../../../../../typings").PaginationInfo;
                editor: {
                    status: boolean;
                    data: import("../../../../../typings").ApplicationSettingBuilderComponent | null;
                };
                categories: import("../../../../../typings").CategoryType[];
                modalVisible: boolean;
            };
            pages: {
                saving: boolean;
                loading: boolean;
                pages: import("../../../../../typings").ApplicationSettingBuilderComponent[];
                pageInfo: import("../../../../../typings").PaginationInfo;
                modal: {
                    list: never[];
                    loading: boolean;
                    pageInfo: {
                        page: number;
                        total: number;
                        size: number;
                    };
                    visible: boolean;
                };
            };
            templates: {
                saving: boolean;
                loading: boolean;
                templates: any[];
                pageInfo: import("../../../../../typings").PaginationInfo;
                modal: {
                    list: never[];
                    loading: boolean;
                    pageInfo: {
                        page: number;
                        total: number;
                        size: number;
                    };
                    visible: boolean;
                };
            };
        }>;
    }>;
}>, import("typesafe-actions").PayloadAction<"APPLICATION_FILE_CONDITIONS__CLEAR_ALL", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_CONDITIONS__UPDATE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_CONDITIONS__UPDATE_PAGINATION_INFO", {
    pageInfo: import("../../../../../typings").PaginationInfo;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_CONDITIONS__UPDATE_CONDITION_DRAWER_VISIBLE", {
    open: boolean;
    editCondition: import("../../../../../typings").ConditionEntity | undefined;
    type: string | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_CONDITIONS__FETCH_LIST", {
    params: import("../../../../../typings").ConditionFetchParams;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_CONDITIONS__PUSH_LIST", {
    list: import("../../../../../typings").ConditionEntity[];
    pageInfo: import("../../../../../typings").PaginationInfo;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_CONDITIONS__SAVE_CONDITION", {
    params: import("../../../../../typings").ConditionSaveParams;
    cb: ((condition?: string | undefined) => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_CONDITIONS__PUBLISH_CONDITION", {
    params: import("../../../../../typings").CommonPublishParams;
    cb: (() => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_CONDITIONS__DELETE_CONDITION", {
    params: import("../../../../../typings").CommonDeleteParams;
    cb: (() => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_CONDITIONS__SAVE_CONDITION_VERSION", {
    params: import("../../../../../typings").ConditionSaveParams;
    cb: ((id: string) => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_CONDITIONS__FETCH_CONDITION_DETAIL", {
    params: import("../../../../../typings").ConditionDetailFetchParams;
    cb: ((condition: import("../../../../../typings").ConditionEntity) => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_CONDITIONS__PUSH_CONDITION_DETAIL", {
    condition: import("../../../../../typings").ConditionEntity;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_FUNCTIONS__CLEAR_ALL", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_FUNCTIONS__UPDATE_FETCH_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_FUNCTIONS__UPDATE_PAGINATION_INFO", {
    pageInfo: import("../../../../../typings").PaginationInfo;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_FUNCTIONS__UPDATE_FUNCTION_DRAWER_VISIBLE", {
    open: boolean;
    editFunc: import("../../../../../typings").FuncEntity | undefined;
    type: string | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_FUNCTIONS__FETCH_LIST", {
    params: import("../../../../../typings").FuncFetchParams;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_FUNCTIONS__PUSH_LIST", {
    list: import("../../../../../typings").FuncEntity[];
    pageInfo: import("../../../../../typings").PaginationInfo;
    cb: (() => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_FUNCTIONS__SAVE_FUNCTION", {
    params: import("../../../../../typings").FuncSaveParams;
    cb: (() => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_FUNCTIONS__PUBLISH_FUNCTION", {
    params: import("../../../../../typings").CommonPublishParams;
    cb: (() => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_FUNCTIONS__DELETE_FUNCTION", {
    params: import("../../../../../typings").CommonDeleteParams;
    cb: (() => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_PAGES_LIST__CLEAR_ALL", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_PAGES_LIST__UPDATE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_PAGES_LIST__FETCH_LIST", {
    applicationId: string;
    page?: number | undefined;
    size?: number | undefined;
    search?: string | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_PAGES_LIST__PUSH_LIST", {
    list: import("../../../../../typings").File[];
    pageInfo: import("../../../../../typings").PaginationInfo;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_PAGES_CONTENT__CLEAR_ALL", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_PAGES_CONTENT__UPDATE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_PAGES_CONTENT__FETCH_PAGE_CONTENT_LIST", {
    applicationId: string;
    fileType?: string | undefined;
    fileId: string;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_PAGES_CONTENT__PUSH_PAGE_CONTENT_LIST", {
    list: import("../../../../../typings").ContentEntity[];
    pageInfo: import("../../../../../typings").PaginationInfo;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_TEMPLATES_LIST__CLEAR_ALL", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_TEMPLATES_LIST__UPDATE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_TEMPLATES_LIST__FETCH_LIST", {
    applicationId: string;
    page?: number | undefined;
    size?: number | undefined;
    search?: string | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_TEMPLATES_LIST__PUSH_LIST", {
    list: import("../../../../../typings").File[];
    pageInfo: import("../../../../../typings").PaginationInfo;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_TEMPLATE_CONTENT__TEMPLATE_CLEAR_APP", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_TEMPLATE_CONTENT__UPDATE_TEMPLATE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_TEMPLATE_CONTENT__FETCH_TEMPLATE_CONTENT_LIST", {
    applicationId: string;
    fileType?: string | undefined;
    fileId: string;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_TEMPLATE_CONTENT__PUSH_TEMPLATE_CONTENT_LIST", {
    list: import("../../../../../typings").ContentEntity[];
    pageInfo: import("../../../../../typings").PaginationInfo;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_VARIABLES__CLEAR_ALL", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_VARIABLES__UPDATE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_VARIABLES__UPDATE_PAGINATION_INFO", {
    pageInfo: import("../../../../../typings").PaginationInfo;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_VARIABLES__OPEN_EDIT_DRAWER", {
    open: boolean;
    variable: import("../../../../../typings").VariableEntity | undefined;
    type: string | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_VARIABLES__FETCH_LIST", {
    params: import("../../../../../typings").VariablesFetchParams;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_VARIABLES__PUSH_LIST", {
    list: import("../../../../../typings").VariableEntity[];
    pageInfo: import("../../../../../typings").PaginationInfo;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_VARIABLES__VARIABLES_SET_VARIABLE_USE_MODAL_VISIBLE_STATUS", {
    component: import("../../../../../typings").RenderStructureNode;
    keys: string;
    opt: {};
    status?: boolean | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_VARIABLES__GET_VARIABLE_BUILD_VERSION", {
    applicationId: string;
    file: import("../../../../../typings").VariableEntity;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_VARIABLES__DELETE_VARIABLE", {
    params: import("../../../../../typings").CommonDeleteParams;
    cb: (() => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_VARIABLES__UPDATE_VARIABLE_CONTENT", {
    fileId: string;
    folderId: string | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_VARIABLES__UPDATE_EDIT_VARIABLE_VALUE", {
    key: string;
    value: unknown;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_VARIABLES__UPDATE_VARIABLE_CONTENT_RELATION", {
    key: string;
    value: unknown;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_VARIABLES__UPDATE_VARIABLE_RELATIONS", {
    relations: import("../../../../../typings").RelationDetails;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_VARIABLES__UPDATE_VARIABLE_CONTENT_VALUE", {
    key: string;
    value: unknown;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_VARIABLES__UPDATE_VARIABLE_CONTENT_PROPS", {
    key: string;
    value: unknown;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_VARIABLES__PUSH_VARIABLE_BUILD_VERSION", {
    data: import("../../../../../typings").VariableEntity;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_VARIABLES__SAVE_VARIABLE", {
    params: import("../../../../../typings").VariableSaveParams;
    cb: (() => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_VARIABLES__PUBLISH_VARIABLE", {
    params: import("../../../../../typings").CommonPublishParams;
    cb: (() => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_VARIABLES__COMMIT_TO_STORE", {
    params: import("../../../../../typings").GoodsCommitParams;
    cb: (() => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_DETAIL__CLEAR_ALL", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_DETAIL__UPDATE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_DETAIL__UPDATE_STATE", {
    params: Partial<{
        fileDetail: import("../../../../../typings").File;
        cloudSyncDrawer: {
            open: boolean;
            loading: boolean;
            componentRemote: import("../../../../../typings").ComponentRemote;
            lastVersion: import("../../../../../typings").ComponentEditVersionEntity;
        };
        compInfoLoading: boolean;
        componentInfo: import("../../../../../typings").ComponentInfoEntity;
        versionList: {
            applicationId: string;
            fileId: string;
            loading: boolean;
            versions: import("../../../../../typings").ComponentVersionEntity[];
            pageInfo: import("../../../../../typings").PaginationInfo;
        };
        versionDrawer: import("../../../../../typings").CommonDrawerEntity;
    }>;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_DETAIL__UPDATE_COMPONENT_INFO_STATE", {
    params: Partial<import("../../../../../typings").ComponentInfoEntity>;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_DETAIL__RESET_COMPONENT_INFO_STATE", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_DETAIL__UPDATE_VERSION_LIST_STATE", {
    params: Partial<{
        applicationId: string;
        fileId: string;
        loading: boolean;
        versions: import("../../../../../typings").ComponentVersionEntity[];
        pageInfo: import("../../../../../typings").PaginationInfo;
    }>;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_DETAIL__RESET_VERSION_LIST_STATE", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_DETAIL__UPDATE_VERSION_DRAWER_STATE", {
    params: Partial<import("../../../../../typings").CommonDrawerEntity>;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_DETAIL__RESET_VERSION_DRAWER_STATE", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_DETAIL__FETCH_COMPONENT_INFO_API", {
    params: import("../../../../../typings").AppComponentDetailFetchComponentInfoParams;
    options: import("../../../../../typings").OptionsAction<unknown> | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_DETAIL__FETCH_COMPONENT_VERSIONS_API", {
    params: import("../../../../../typings").AppComponentDetailFetchComponentVersionsParams;
    options: import("../../../../../typings").OptionsAction<unknown> | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_DETAIL__ADD_COMPONENT_VERSION_API", {
    params: Partial<import("../../../../../typings").ComponentsVersionSaveParams>;
    options: import("../../../../../typings").OptionsAction<unknown> | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_DETAIL__EDIT_COMPONENT_VERSION_API", {
    params: import("../../../../../typings").ComponentsVersionUpdateParams;
    options: import("../../../../../typings").OptionsAction<unknown> | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_DETAIL__UPDATE_COMPONENT_VERSION_STATUS_API", {
    params: import("../../../../../typings").ComponentsVersionPublishParams;
    options: import("../../../../../typings").OptionsAction<unknown> | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_DETAIL__LIVE_COMPONENT_VERSION_API", {
    params: import("../../../../../typings").ComponentsLiveVersionUpdateParams;
    options: import("../../../../../typings").OptionsAction<unknown> | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_DETAIL__UPDATE_COMPONENT_ONLINE_STATUS", {
    online: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_DETAIL__FETCH_FILE_DETAIL", {
    ids: string[];
    applicationId: string;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_DETAIL__PUSH_FILE_DETAIL", {
    data: File;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_DETAIL__UPDATE_SYNC_DRAWER_OPEN_STATUS", {
    open: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_DETAIL__SEARCH_COMPONENT_REMOTES", {
    groupId: string;
    name?: string | undefined;
    id?: string | undefined;
    applicationId?: string | undefined;
    page?: number | undefined;
    size?: number | undefined;
    search?: string | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_DETAIL__PUSH_COMPONENT_REMOTES", {
    remote: import("../../../../../typings").ComponentRemote;
    lastVersion: import("../../../../../typings").ComponentEditVersionEntity;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_DETAIL__SAVE_COMPONENT_REMOTES", {
    applicationId: string;
    components: import("../../../../../typings").ComponentRemote[];
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_DETAIL__UPDATE_SYNC_DRAWER_Loading_STATUS", {
    open: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_LIST__CLEAR_ALL", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_LIST__UPDATE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_LIST__UPDATE_STATE", {
    params: Partial<{
        loading: boolean;
        pageInfo: import("../../../../../typings").PaginationInfo;
        componentList: import("../../../../../typings").ComponentEntity[];
        applicationId: string;
        selectPackage: import("../../../../../typings").PackageType;
        componentDrawer: import("../../../../../typings").CommonDrawerEntity;
    }>;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_LIST__UPDATE_COMPONENT_DRAWER_STATE", {
    params: Partial<import("../../../../../typings").CommonDrawerEntity>;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_LIST__RESET_COMPONENT_DRAWER_STATE", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_LIST__FETCH_COMPONENTS_API", {
    params: import("../../../../../typings").AppComponentFetchComponentsParams;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_LIST__ADD_COMPONENT_API", {
    params: import("../../../../../typings").AppComponentAddComponentParams;
    options: import("../../../../../typings").OptionsAction<unknown> | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_LIST__DELETE_COMPONENT_API", {
    params: import("../../../../../typings").AppComponentDeleteComponentParams;
    options: import("../../../../../typings").OptionsAction<unknown> | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_FAST__CLEAR_ALL", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_FAST__UPDATE_LOADING", {
    status: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_FAST__UPDATE_UPDATE_SAVING", {
    status: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_FAST__SELECT_GROUP", {
    id: string;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_FAST__FETCH_PACKAGES", {
    groupId: string;
    name?: string | undefined;
    id?: string | undefined;
    applicationId?: string | undefined;
    page?: number | undefined;
    size?: number | undefined;
    search?: string | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_FAST__PUSH_PACKAGES", {
    list: import("../../../../../typings").RemoteComponentItem[];
    pageInfo: import("../../../../../typings").PaginationInfo | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_FAST__UPDATE_SELECTED", {
    selected: string[];
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_FAST__UPDATE_SEARCH_NAME", {
    name: string;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_FAST__UPDATE_CHANGES", {
    componentName: string;
    params: Record<string, string>;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_FAST__CLEAR_CHANGES", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_FAST__SAVE_CHANGES", {
    applicationId: string;
    cb: (() => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_FAST__SAVE_RESOURCES", {
    cb: (data: import("../../../../../typings").RemoteResourceSavedData) => void;
    applicationId: string;
    id: string;
    resources: import("../../../../../typings").RemoteResource[];
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_FAST__PUSH_RESOURCES_SAVED", {
    data: import("../../../../../typings").RemoteResourceSavedData;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_FAST__SAVE_EDITORS", {
    applicationId: string;
    components: import("../../../../../typings").EditorComponent[];
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PACKAGES_FAST__SAVE_COMPONENTS", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_CONTENT__CLEAR_ALL", {}> | import("typesafe-actions").PayloadAction<"WORKSPACE_PROJECT_UPDATE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_CONTENT__OPEN_EDIT_DRAWER", {
    open: boolean;
    editContent: Partial<import("../../../../../typings").ContentEntity> | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_CONTENT__FETCH_FILE_DETAIL", {
    params: import("../../../../../typings").FilesFetchParams;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_CONTENT__PUSH_FILE_DETAIL", {
    data: import("../../../../../typings").File;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_CONTENT__UPDATE_SAVE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_CONTENT__FETCH_CONTENT_LIST", {
    applicationId: string;
    fileType?: string | undefined;
    fileId: string;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_CONTENT__FETCH_CONTENT_LIST_SUCCESS", {
    data: import("../../../../../typings").ContentEntity[];
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_CONTENT__UPDATE_DRAWER_VALUE", {
    key: string;
    value: any;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_CONTENT__UPDATE_UPDATE_DRAWER_TAGS", {
    key: string;
    value: any;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_CONTENT__SAVE_CONTENT", {
    applicationId: string;
    fileType?: string | undefined;
    fileId: string;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_CONTENT__DELETE_CONTENT", {
    fileId?: string | undefined;
    fileType?: string | undefined;
    status: boolean;
    id?: string | undefined;
    applicationId?: string | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_CONTENT__FETCH_LOCALES", {
    applicationId: string;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_CONTENT__FETCH_LOCALES_SUCCESS", {
    locales: string[];
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_CONTENT__COMMIT_FILE_TO_STORE", {
    params: import("../../../../../typings").GoodsCommitParams;
    cb: (() => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_CONTENT__REVOKE_FILE_FROM_STORE", {
    params: import("../../../../../typings").GoodsOfflineParams;
    cb: (() => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_CONTENT__UPDATE_ONLINE_STATUS", {
    online: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_CONTENT__FETCH_PARENT_FILES", {
    params: import("../../../../../typings").ParentFileFetchParams;
    cb: ((folder: any) => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_CONTENT__PUSH_PARENT_FILES", {
    folder: import("../../../../../typings").ProjectEntity;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_CONTENT__FETCH_AUTH_LIST", {
    params: import("../../../../../typings").AuthorizeListFetchParams;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_CONTENT__PUSH_AUTH_LIST", {
    list: import("../../../../../typings").AuthorizeListItem[];
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_CONTENT__UPDATE_AUTH_LIST_LOADING", {
    status: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_CONTENT__UPDATE_AUTH_DRAWER_VISIBLE", {
    visible: any;
    editContent: import("../../../../../typings").ContentEntity | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_CONTENT__AUTH_ADD_USER", {
    params: import("../../../../../typings").AuthorizeAddParams;
    cb: (() => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_CONTENT__AUTH_DELETE_USER", {
    params: import("../../../../../typings").AuthorizeDeleteParams;
    cb: (() => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_CONTENT__FETCH_USER_LIST", {
    params: import("../../../../../typings").AuthorizeUserFetchParams;
    cb: (() => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_CONTENT__PUSH_USER_LIST", {
    list: import("../../../../../typings").User[];
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FILE__CLEAR_ALL", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FILE__UPDATE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FILE__OPEN_EDIT_DRAWER", {
    drawerOpen: any;
    editFile: import("../../../../../typings").File | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FILE__UPDATE_SAVE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FILE__FETCH_PARENT_FILES", {
    params: import("../../../../../typings").ParentFileFetchParams;
    cb: ((folder: any) => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FILE__PUSH_PARENT_FILES", {
    folder: import("../../../../../typings").ProjectEntity;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FILE__FETCH_AUTH_LIST", {
    params: import("../../../../../typings").AuthorizeListFetchParams;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FILE__PUSH_AUTH_LIST", {
    list: import("../../../../../typings").AuthorizeListItem[];
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FILE__UPDATE_AUTH_LIST_LOADING", {
    status: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FILE__UPDATE_AUTH_DRAWER_VISIBLE", {
    visible: any;
    editFile: import("../../../../../typings").File | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FILE__SAVE_AUTH_USER", {
    params: import("../../../../../typings").AuthorizeAddParams;
    cb: (() => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FILE__DELETE_AUTH_USER", {
    params: import("../../../../../typings").AuthorizeDeleteParams;
    cb: (() => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FILE__FETCH_USER_LIST", {
    params: import("../../../../../typings").AuthorizeUserFetchParams;
    cb: (() => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FILE__PUSH_USER_LIST", {
    list: import("../../../../../typings").User[];
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FILE__FETCH_FILE_LIST", {
    params: import("../../../../../typings").ProjectFileFetchParams;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FILE__PUSH_FILE_LIST", {
    fileList: import("../../../../../typings").File[];
    pageInfo: import("../../../../../typings").PaginationInfo;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FILE__UPDATE_EDIT_FILE_VALUE", {
    name: string;
    value: any;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FILE__SAVE_FILE", {
    applicationId: string;
    folderId: string;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FILE__DELETE_FILE", {
    id: string;
    applicationId: string;
    folderId: string;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FOLDER__CLEAR_ALL", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FOLDER__UPDATE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FOLDER__OPEN_EDIT_DRAWER", {
    drawerOpen: any;
    editProject: import("../../../../../typings").ProjectEntity | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FOLDER__UPDATE_SAVE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FOLDER__FETCH_AUTH_LIST", {
    params: import("../../../../../typings").AuthorizeListFetchParams;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FOLDER__PUSH_AUTH_LIST", {
    list: import("../../../../../typings").AuthorizeListItem[];
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FOLDER__UPDATE_AUTH_LIST_LOADING", {
    status: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FOLDER__UPDATE_AUTH_DRAWER_VISIBLE", {
    visible: any;
    editProject: import("../../../../../typings").ProjectEntity | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FOLDER__SAVE_AUTH_USER", {
    params: import("../../../../../typings").AuthorizeAddParams;
    cb: (() => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FOLDER__DELETE_AUTH_USER", {
    params: import("../../../../../typings").AuthorizeDeleteParams;
    cb: (() => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FOLDER___FETCH_USER_LIST", {
    params: import("../../../../../typings").AuthorizeUserFetchParams;
    cb: (() => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FOLDER___PUSH_USER_LIST", {
    list: import("../../../../../typings").User[];
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FOLDER__FETCH_PROJECT_LIST", {
    applicationId?: string | undefined;
    type?: string | undefined;
    organizationId: string;
    id?: string | undefined;
    page?: number | undefined;
    size?: number | undefined;
    search?: string | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FOLDER__PUSH_PROJECT_LIST", {
    projectList: import("../../../../../typings").ProjectEntity[];
    pageInfo: import("../../../../../typings").PaginationInfo;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FOLDER__UPDATE_EDIT_PROJECT_VALUE", {
    name: string;
    value: any;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FOLDER__SAVE_PROJECT", {
    params: import("../../../../../typings").ProjectSaveParams;
    cb: (() => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FOLDER__DELETE_PROJECT", {
    id: string;
    applicationId: string;
    organizationId: string;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FOLDER__FETCH_LIST", {
    params: import("../../../../../typings").PaginationReqParams;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_PROJECTS_FOLDER__FETCH_LIST_SUCCEED", {
    data: import("../../../../../typings").Application[];
}> | import("typesafe-actions").PayloadAction<"APPLICATION_RESOURCES_GROUPS__CLEAR_ALL", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_RESOURCES_GROUPS__UPDATE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_RESOURCES_GROUPS__STATE_EDIT_DRAWER_UPDATE", {
    open: boolean;
    editGroup: import("../../../../../typings").ApplicationResourceGroupEntity | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_RESOURCES_GROUPS___FETCH_GROUP_TYPES", {
    params: import("../../../../../typings").ApplicationResourcesAllGroupsFetchParams;
    cb: ((groupTypeList: any) => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_RESOURCES_GROUPS___PUSH_GROUP_TYPES", {
    groupTypeList: import("../../../../../typings").ApplicationResourceGroupTypeEntity[];
}> | import("typesafe-actions").PayloadAction<"APPLICATION_RESOURCES_GROUPS__STATE_UPDATE", {
    params: any;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_RESOURCES_GROUPS__STATE_EDIT_DRAWER_RESET", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_RESOURCES_GROUPS___FETCH_GROUPS", {
    params: import("../../../../../typings").ApplicationResourcesAllGroupsFetchParams;
    options: import("../../../../../typings").OptionsAction<unknown> | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_RESOURCES_GROUPS___PUSH_GROUPS", {
    groupList: import("../../../../../typings").ApplicationResourceGroupEntity[];
}> | import("typesafe-actions").PayloadAction<"APPLICATION_RESOURCES_GROUPS___SAVE_GROUP", {
    params: import("../../../../../typings").ApplicationResourcesGroupSaveParams;
    options: import("../../../../../typings").OptionsAction<unknown> | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_RESOURCES_GROUPS___DELETE_GROUP", {
    params: import("../../../../../typings").CommonDeleteParams;
    options: import("../../../../../typings").OptionsAction<unknown> | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_RESOURCES_GROUPS__FETCH_RESOURCE_URL", {
    resourceScope?: string | undefined;
    applicationId?: string | undefined;
    resourceType?: string | number | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_RESOURCES_GROUPS___PUSH_RESOURCE_URL", {
    url: string;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_RESOURCES_DETAIL__CLEAR_ALL", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_RESOURCES_DETAIL__UPDATE_FOLDER_PATH", {
    folderPath: string;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_RESOURCES_DETAIL__UPDATE_SELECTED_ROW_KEYS", {
    keys: string[];
}> | import("typesafe-actions").PayloadAction<"APPLICATION_RESOURCES_DETAIL__UPDATE_STATE", {
    params: any;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_RESOURCES_DETAIL__FOLDER_DRAWER_UPDATE_STATE", {
    params: any;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_RESOURCES_DETAIL__FOLDER_DRAWER_RESET_STATE", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_RESOURCES_DETAIL__FILE_DRAWER_UPDATE_STATE", {
    params: any;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_RESOURCES_DETAIL__FILE_DRAWER_RESET_STATE", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_RESOURCES_DETAIL__FETCH_RESOURCES_LIST", {
    params: import("../../../../../typings").AppResourcesDetailsFetchResourcesListParams;
    options: import("../../../../../typings").OptionsAction<unknown> | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_RESOURCES_DETAIL__FETCH_GROUP_INFO", {
    params: import("../../../../../typings").AppResourcesDetailsFetchGroupInfoParams;
    options: import("../../../../../typings").OptionsAction<unknown> | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_RESOURCES_DETAIL__ADD_FILE", {
    params: import("../../../../../typings").AppResourcesDetailsAddFileParams;
    options: import("../../../../../typings").OptionsAction<unknown> | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_RESOURCES_DETAIL__UPDATE_FILE", {
    params: import("../../../../../typings").AppResourcesDetailsUpdateFileParams;
    options: import("../../../../../typings").OptionsAction<unknown> | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_RESOURCES_DETAIL__ADD_FOLDER", {
    params: import("../../../../../typings").AppResourcesDetailsAddFolderParams;
    options: import("../../../../../typings").OptionsAction<unknown> | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_RESOURCES_DETAIL__UPDATE_FOLDER", {
    params: import("../../../../../typings").AppResourcesDetailsUpdateFolderParams;
    options: import("../../../../../typings").OptionsAction<unknown> | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_RESOURCES_DETAIL__REMOVE_RESOURCES", {
    params: import("../../../../../typings").AppResourcesDetailsRemoveResourcesParams;
    options: import("../../../../../typings").OptionsAction<unknown> | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_APP__CLEAR_ALL", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_APP__UPDATE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_APP__FETCH_APPLICATION_INFO", {
    applicationId: string;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_APP__PUSH_APPLICATION_INFO", {
    application: import("../../../../../typings").Application;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_APP__FETCH_ALL_LOCALES", {
    applicationId: string;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_APP__PUSH_ALL_LOCALES", {
    locales: string[];
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_APP__SAVE_APPLICATION", {
    application: import("../../../../../typings").ApplicationEntityMultiHost;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_APP__UPDATE_APPLICATION_ID", {
    id: string;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_COMPONENTS__CLEAR_ALL", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_COMPONENTS__UPDATE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_COMPONENTS__UPDATE__SAVE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_COMPONENTS__UPDATE__NUM_LOADING", {
    num: number;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_COMPONENTS__FETCH_COMPONENTS", {
    applicationId: string;
    page?: number | undefined;
    size?: number | undefined;
    search?: string | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_COMPONENTS__PUSH_COMPONENTS", {
    data: import("../../../../../typings").ComponentCategoryFetchRes;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_COMPONENTS__UPDATE_EDITOR_VISIBLE", {
    status: boolean;
    data: import("../../../../../typings").ApplicationSettingBuilderComponent | null;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_COMPONENTS__SAVE_CATEGORY", {
    params: import("../../../../../typings").ApplicationSettingBuilderSaveParams;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_COMPONENTS__REMOVE_CATEGORY", {
    params: import("../../../../../typings").ApplicationSettingBuilderSaveParams;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_COMPONENTS__FETCH_CATEGORY", {
    applicationId: string;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_COMPONENTS__PUSH_CATEGORY", {
    list: import("../../../../../typings").CategoryType[];
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_COMPONENTS__UPDATE_MODAL_VISIBLE", {
    open: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_PAGES__CLEAR_ALL", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_PAGES__UPDATE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_PAGES__UPDATE__SAVE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_PAGES__UPDATE__NUM_LOADING", {
    num: number;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_PAGES__SAVE_CATEGORY", {
    params: import("../../../../../typings").ApplicationSettingBuilderSaveParams;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_PAGES__UPDATE_MODAL_STATE", {
    data: any;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_PAGES__FETCH_PAGES", {
    params: import("../../../../../typings").ApplicationSettingBuilderFetchParams;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_PAGES__PUSH_PAGES", {
    data: any;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_PAGES__FETCH_PAGES_CONTENT", {
    params: import("../../../../../typings").ProjectPageTemplateContentFetchParams;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_TEMPLATES__CLEAR_ALL", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_TEMPLATES__UPDATE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_TEMPLATES__UPDATE__SAVE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_TEMPLATES__UPDATE__NUM_LOADING", {
    num: number;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_TEMPLATES__SAVE_CATEGORY", {
    params: import("../../../../../typings").ApplicationSettingBuilderSaveParams;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_TEMPLATES__UPDATE_MODAL_STATE", {
    data: any;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_TEMPLATES__FETCH_TEMPLATES", {
    params: import("../../../../../typings").ApplicationSettingBuilderFetchParams;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_TEMPLATES__PUSH_TEMPLATES", {
    data: import("../../../../../typings").ComponentCategoryFetchRes;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_SETTINGS_BUILDER_TEMPLATES__FETCH_TEMPLATES_CONTENT", {
    params: import("../../../../../typings").ProjectPageTemplateContentFetchParams;
}>>;
export default reducers;
